org.apache.velocity.tools.config

## Class XmlFactoryConfigurationRuleSet.DataValueInBodyRule

- java.lang.Object
- - org.apache.commons.digester3.Rule
  - - org.apache.velocity.tools.config.XmlFactoryConfigurationRuleSet.DataValueInBodyRule

Enclosing class:
  XmlFactoryConfigurationRuleSet

    public static class XmlFactoryConfigurationRuleSet.DataValueInBodyRule
    extends org.apache.commons.digester3.Rule

Rule for adding configuration properties

### Constructor Summary

Constructors
Constructor and Description
`DataValueInBodyRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `body(String namespace, String element, String value)`

### Methods inherited from class org.apache.commons.digester3.Rule

`begin, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataValueInBodyRule

    public DataValueInBodyRule()

### Method Detail

#### body

    public void body(String namespace,
                     String element,
                     String value)
              throws Exception

Overrides:
  `body` in class `org.apache.commons.digester3.Rule`
Throws:
  `Exception`